Installation issue on Centos 7

Just posted this but couldn't find it under general discussion. Here I go again...

Trying to install Graphviz on Centos 7 64bit (Release info:CentOS Linux release 7.0.1406 (Core))

And this happens...

Error: Package: gtkglext-libs-1.2.0-18.el7.x86_64 (graphviz-stable)
           Requires: libpangox-1.0.so.0()(64bit)
Error: Package: graphviz-x-2.38.0-1.el7.x86_64 (graphviz-stable)
           Requires: libpangox-1.0.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

I do have  pango-1.34 installed on the system but it doesn't give me libpangox-1.0.so.0. I do see libpangoxft-1.0.so in /usr/lib64 though.

Any idea how this can be fixed?

Re: Installation on Centos 7

pangox-compat (and pangox-compat-devel if you're building from source)  from the "epel" repository.

cento7/el7 repos are a nightmare compared to fedora, but I also need to do more packaging cleanup of graphviz for centos7 at some point.

 

Recent comments